Bug 170015

Summary: [GTK] Various build errors when plugin support is disabled
Product: WebKit Reporter: ManDay <manday>
Component: WebKitGTKAssignee: Michael Catanzaro <mcatanzaro>
Status: RESOLVED FIXED    
Severity: Normal CC: berto, bugs-noreply, buildbot, cgarcia, commit-queue, gns, mcatanzaro
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
stderr by make
none
Patch
none
Patch
none
Patch
none
Error on linkage
none
Patch
none
Errors with newest patch
none
Patch none

Description ManDay 2017-03-23 11:48:07 PDT
Created attachment 305208 [details]
stderr by make

The attached errors are produced during compilation
Comment 1 Michael Catanzaro 2017-03-23 12:54:15 PDT
I guess you're building with -DENABLE_X11_TARGET=OFF? That disables ENABLE_NETSCAPE_PLUGIN_API and causes this failure. Here's an untested fix; let me know if it works.
Comment 2 Michael Catanzaro 2017-03-23 12:55:01 PDT
Created attachment 305215 [details]
Patch
Comment 3 Build Bot 2017-03-23 12:57:22 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 4 Michael Catanzaro 2017-03-23 12:57:23 PDT
Created attachment 305216 [details]
Patch
Comment 5 Michael Catanzaro 2017-03-23 12:58:07 PDT
Also Carlos, is it really right for ENABLE_NETSCAPE_PLUGIN_API to depend on ENABLE_X11_TARGET? I think it's not, because you spent a lot of effort making windowless plugins work on Wayland.
Comment 6 Carlos Garcia Campos 2017-03-24 00:31:48 PDT
(In reply to Michael Catanzaro from comment #5)
> Also Carlos, is it really right for ENABLE_NETSCAPE_PLUGIN_API to depend on
> ENABLE_X11_TARGET? I think it's not, because you spent a lot of effort
> making windowless plugins work on Wayland.

Probably not.
Comment 7 Michael Catanzaro 2017-03-24 06:05:56 PDT
Created attachment 305277 [details]
Patch
Comment 8 Michael Catanzaro 2017-03-24 06:06:14 PDT
(Please approve the new version.)
Comment 9 ManDay 2017-03-28 04:28:35 PDT
I still get the following error on linkage, which I suppose is related:

PluginControllerProxy.cpp:(.text+0x100): undefined reference to 'WebKit::PluginControllerProxy::platformDestroy()'
Comment 10 ManDay 2017-03-28 04:29:01 PDT
Created attachment 305585 [details]
Error on linkage
Comment 11 Michael Catanzaro 2017-03-28 06:33:50 PDT
Created attachment 305589 [details]
Patch
Comment 12 Michael Catanzaro 2017-03-28 06:34:04 PDT
Please test it again.
Comment 13 ManDay 2017-03-28 11:14:39 PDT
Created attachment 305611 [details]
Errors with newest patch
Comment 14 Michael Catanzaro 2017-04-07 10:49:27 PDT
Created attachment 306515 [details]
Patch
Comment 15 Michael Catanzaro 2017-04-07 10:49:52 PDT
Tested my patch with -DENABLE_X11_TARGET=OFF and it worked for me, but here's another attempt.
Comment 16 WebKit Commit Bot 2017-04-07 11:53:02 PDT
Comment on attachment 306515 [details]
Patch

Clearing flags on attachment: 306515

Committed r215106: <http://trac.webkit.org/changeset/215106>
Comment 17 WebKit Commit Bot 2017-04-07 11:53:04 PDT
All reviewed patches have been landed.  Closing bug.
Comment 18 ManDay 2017-04-08 03:10:42 PDT
For the record: With the newest patch it works here, too.